summaryrefslogtreecommitdiffstats
path: root/source/d/strace
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/strace')
-rwxr-xr-xsource/d/strace/strace.SlackBuild16
1 files changed, 12 insertions, 4 deletions
diff --git a/source/d/strace/strace.SlackBuild b/source/d/strace/strace.SlackBuild
index 97b081831..c8d65db8b 100755
--- a/source/d/strace/strace.SlackBuild
+++ b/source/d/strace/strace.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,7 +21,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PKGNAM=strace
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -55,7 +55,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf strace-$VERSION
-tar xvf $CWD/strace-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/strace-$VERSION.tar.xz || exit 1
cd strace-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,10 +77,18 @@ strip $PKG/usr/bin/strace
mkdir -p $PKG/usr/doc/strace-$VERSION
cp -a \
- COPYRIGHT CREDITS NEWS PORTING README* TODO \
+ AUTHORS ChangeLog COPYING COPYRIGHT CREDITS NEWS PORTING README* TODO \
$PKG/usr/doc/strace-$VERSION
chmod 644 $PKG/usr/doc/strace-$VERSION/*
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
gzip -9 $PKG/usr/man/man1/*
mkdir -p $PKG/install